%global _empty_manifest_terminate_build 0
Name:           perl-ExtUtils-PkgConfig
Version:        1.16
Release:        2
Summary:        Simplistic interface to pkg-config
License:        LGPL-2.1-only
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/ExtUtils-PkgConfig/
Source0:        http://www.cpan.org/authors/id/X/XA/XAOC/ExtUtils-PkgConfig-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%description
The pkg-config program retrieves information about installed libraries,
usually for the purposes of compiling against and linking to them.
%package help
Summary : Simplistic interface to pkg-config
Provides: perl-ExtUtils-PkgConfig-doc
%description help
The pkg-config program retrieves information about installed libraries,
usually for the purposes of compiling against and linking to them.
%prep
%setup -q -n ExtUtils-PkgConfig-%{version}
%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .
%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc Changes META.json perl-ExtUtils-PkgConfig.doap README
%{perl_vendorlib}/*
%files help
%{_mandir}/*

%changelog
* Wed Jul 13 2022 Chenyx <chenyixiong3@huawei.com> - 1.16-2
- License compliance rectification

* Wed Jun 10 2020 Perl_Bot <Perl_Bot@openeuler.org> 1.16-1
- Specfile autogenerated by Perl_Bot
